Get release
GET
/releases/{id}Get details of a specific release
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, ReleasesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new ReleasesApi(config);
const result = await api.getRelease({ "id": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/releases/123?token=$TESTCOLLAB_TOKEN"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | number | Yes | Release ID |
Response
Section titled “Response”200 — Release details
| Field | Type | Required | Description |
|---|---|---|---|
id |
number | Yes | — |
name |
string | Yes | — |
description |
string | No | — |
version_pattern |
string | No | Optional glob pattern matched against build versions to auto-group builds into this release (). A leading v is ignored and * matches any suffix — e.g. 2.14.* attaches v2.14.0, 2.14.1 and 2.14.0-rc2 but not 2.15.0. |
status |
string | Yes | Values: planned, in_progress, ready, shipped, blocked. |
target_date |
string | No | — |
release_date |
string | No | — |
go_no_go_threshold |
Release Go No Go Threshold | No | — |
go_no_go_threshold.min_pass_rate |
number | No | Minimum overall pass rate percentage required for a Go verdict |
go_no_go_threshold.max_open_defects |
number | No | Maximum number of total open defects allowed across all severities |
go_no_go_threshold.min_evidence_coverage |
number | No | Minimum percentage of failed executions that must have attachments |
is_public |
boolean | No | — |
test_plans |
Array of Test Plan Minified | No | — |
requirements |
Array of Requirement Minified | No | Requirements associated with this release |
project |
number | Yes | — |
created_by |
User Minified | Yes | — |
created_by.id |
number | Yes | — |
created_by.username |
string | No | — |
created_by.name |
string | Yes | — |
created_by.avatar |
Upload | No | — |
created_by.avatar.id |
number | Yes | — |
created_by.avatar.name |
string | Yes | — |
created_by.avatar.hash |
string | Yes | — |
created_by.avatar.ext |
string | Yes | — |
created_by.avatar.mime |
string | Yes | — |
created_by.avatar.size |
string | Yes | — |
created_by.avatar.url |
string | Yes | — |
created_by.avatar.created_by |
number | No | — |
created_by.avatar.created_at |
string | Yes | — |
created_by.avatar.updated_at |
string | Yes | — |
created_by.is_guest |
number | No | — |
created_at |
string | Yes | — |
updated_at |
string | Yes | — |
{ "id": 123, "name": "example", "description": "example", "version_pattern": "example", "status": "planned", "target_date": "example", "release_date": "example", "go_no_go_threshold": { "min_pass_rate": 123, "max_open_defects": 123, "min_evidence_coverage": 123 }, "is_public": true}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |